### Method

# FwupdPlugin Device add_possible_plugin

#### Declaration [src]

    void
    fu_device_add_possible_plugin (
      FuDevice* self,
      const gchar* plugin
    )

#### Description [src]

Adds a plugin name to the list of plugins that might be able to handle this device. This is typically called from a quirk handler.

Duplicate plugin names are ignored.

Available since: | 1.5.1

#### Parameters

`plugin` | `const gchar*`
| A plugin name, e.g. `dfu`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.